[arch-commits] Commit in gnome-panel/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 16:34:18 EDT 2008


    Date: Saturday, September 27, 2008 @ 16:34:18
  Author: jgc
Revision: 13635

upgpkg: gnome-panel 2.24.0-1

Modified:
  gnome-panel/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 20:31:35 UTC (rev 13634)
+++ PKGBUILD	2008-09-27 20:34:18 UTC (rev 13635)
@@ -2,31 +2,31 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-panel
-pkgver=2.22.2
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="The GNOME Panel"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnome.org"
-depends=('libwnck>=2.22.1' 'gnome-menus>=2.22.2' 'evolution-data-server>=2.22.2' 'gnome-desktop>=2.22.2' 'libgweather>=2.22.2' 'librsvg>=2.22.2')
-makedepends=('perlxml' 'gnome-doc-utils>=0.12.2' 'pkgconfig')
+depends=('libwnck>=2.24.0' 'gnome-menus>=2.24.0' 'evolution-data-server>=2.24.0' 'gnome-desktop>=2.24.0' 'libgweather>=2.24.0' 'librsvg>=2.22.3' 'policykit-gnome>=0.9.2')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig')
 options=('!libtool' '!emptydirs')
 groups=('gnome')
 install=gnome-panel.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('3d8aab9d476a593e731afcd60272454a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0d246880611a4c58fe2ff99614b96918')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --libexecdir=/usr/lib/gnome-panel \
 	      --disable-network-manager \
 	      --disable-scrollkeeper || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list